# Module `awesome`

awesome core API

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2008-2009 Julien Danjou

## Functions

quit () | Quit awesome.
exec (cmd) | Execute another application, probably a window manager, to replace awesome.
restart () | Restart awesome.
load_image (name) | Load an image
connect_signal (name, func) | Add a global signal.
disconnect_signal (name, func) | Remove a global signal.
emit_signal (name, ...) | Emit a global signal.

## Tables

awesome | awesome global table.

## Functions

quit ()
  Quit awesome.
exec (cmd)
  Execute another application, probably a window manager, to replace awesome.

  ### Parameters:

  - cmd The command line to execute.
restart ()
  Restart awesome.
load_image (name)
  Load an image

  ### Parameters:

  - name The file name

  ### Returns:

  A cairo image surface as light user datum
connect_signal (name, func)
  Add a global signal.

  ### Parameters:

  - name A string with the event name.
  - func The function to call.
disconnect_signal (name, func)
  Remove a global signal.

  ### Parameters:

  - name A string with the event name.
  - func The function to call.
emit_signal (name, ...)
  Emit a global signal.

  ### Parameters:

  - name A string with the event name.
  - ... Signal arguments.

## Tables

awesome
  awesome global table.

  ### Fields:

  - font The default font.
  - font_height The default font height.
  - fg The default foreground color.
  - bg The default background color.
  - version The version of awesome.
  - release The release name of awesome.
  - conffile The configuration file which has been loaded.

generated by LDoc 1.3